Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.webservice.server
Class InvokerProviderSimple

    java.lang.Object
      org.apache.axis.handlers.BasicHandler
          org.apache.axis.providers.BasicProvider
              org.apache.axis.providers.java.JavaProvider
                  org.apache.axis.providers.java.RPCProvider
                      org.jboss.webservice.server.InvokerProviderSimple

All Implemented Interfaces:
  org.apache.axis.Handler, Serializable

public class InvokerProviderSimple
extends org.apache.axis.providers.java.RPCProvider

A very simple reflection provider that invokes the method on the object that is given in the constructor of this provider.

Version:
  $Revision: 1.1.2.1 $
Author:
  thomas.diesler@jboss.org
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.providers.java.RPCProvider
`RPC_INVOCATION`

Fields inherited from class org.apache.axis.providers.java.JavaProvider
`OPTION_ALLOWEDMETHODS, OPTION_CLASSNAME, OPTION_CLASSPATH, OPTION_IS_STATIC, OPTION_SCOPE, OPTION_WSDL_INPUTSCHEMA, OPTION_WSDL_PORTTYPE, OPTION_WSDL_SERVICEELEMENT, OPTION_WSDL_SERVICEPORT, OPTION_WSDL_TARGETNAMESPACE`

Fields inherited from class org.apache.axis.handlers.BasicHandler
`makeLockable, name, options`

Constructor Summary
`InvokerProviderSimple(Object targetService)` Creates new InvokerProviderSimple

Method Summary
`protected String` | `getServiceClassName(org.apache.axis.Handler service)` Return the class name of the service
`Object` | `getServiceObject(org.apache.axis.MessageContext msgContext, org.apache.axis.Handler service, String clsName, javax.xml.rpc.holders.IntHolder scopeHolder)` Get the service object whose method actually provides the service.
`protected Object` | `invokeMethod(org.apache.axis.MessageContext msgContext, Method method, Object obj, Object[] argValues)` This method encapsulates the method invocation.

Methods inherited from class org.apache.axis.providers.java.RPCProvider
`checkMethodName, createRPCInvocation, invokeTarget, processMessage`

Methods inherited from class org.apache.axis.providers.java.JavaProvider
`generateWSDL, getServiceClass, getServiceClassNameOptionName, initServiceDesc, invoke, makeNewServiceObject, processException`

Methods inherited from class org.apache.axis.providers.BasicProvider
`addOperation, getOperationName, getOperationNames, getOperationQNames`

Methods inherited from class org.apache.axis.handlers.BasicHandler
`canHandleBlock, cleanup, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, init, initHashtable, onFault, setName, setOption, setOptionDefault, setOptions, setOptionsLockable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InvokerProviderSimple

    public InvokerProviderSimple(Object targetService)

  Creates new InvokerProviderSimple

Method Detail

### invokeMethod

    protected Object invokeMethod(org.apache.axis.MessageContext msgContext,
                                  Method method,
                                  Object obj,
                                  Object[] argValues)
                           throws Exception

  This method encapsulates the method invocation.

  Parameters:
    `msgContext` - MessageContext
    `method` - the target method.
    `obj` - the target object
    `argValues` - the method arguments
  Throws:
    `Exception`

### getServiceObject

    public Object getServiceObject(org.apache.axis.MessageContext msgContext,
                                   org.apache.axis.Handler service,
                                   String clsName,
                                   javax.xml.rpc.holders.IntHolder scopeHolder)
                            throws Exception

  Get the service object whose method actually provides the service. May look up in session table.

  Throws:
    `Exception`

### getServiceClassName

    protected String getServiceClassName(org.apache.axis.Handler service)

  Return the class name of the service

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.